Subject: WU-FTPD digest 811

From: [email-masked]
Date: Fri, 19 Sep 1997 08:53:00 -0500

I see the same problem on AIX.  Actually anonymous and guest users are able
to create directories.  I have the '-alL' in inetd.conf as well.  I don't
even have the upload lines for my guest directories, yet all my guest users
are able to upload, create directories.  Obviously because the permissions
on the directories allow them to.  But I thought the ftpaccess file is
supposed to restrict what users can do even though the permissions on the
directories/files may be the opposite.  This is something I have never
quite understood with wu-ftp.  Can someone enlighten me please?

Thanks, Thuy

Date: Thu, 18 Sep 1997 13:01:27 -0700
From: Bill Campbell <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Subject: Re: "nodirs" variable
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii

Do you have the -a option in your /etc/inetd.conf file?  Here's ours
from an SCO system
ftp stream tcp nowait root /usr/local/etc/tcpd /usr/local/etc/ftpd -alL
-u022
On Thu, Sep 18, 1997 at 12:34:01PM -0700, David Hawley wrote:
>
>I have placed the nodirs variable in the ftpaccess file, but it doesn't
>work.  My users can successfully create directories.  How do I make this
>work?  This is the result of a "grep nodirs ftpaccess":
>
>upload  /var/ftp  *             no nodirs
>upload  /var/ftp  /incoming     yes     root    daemon  0600 nodirs
>upload  /var/ftp  /bin          no nodirs
>upload  /var/ftp  /etc          no nodirs
>
>
>I also killed and restarted inetd, and the running ftpd.
>
>dh
--
Bill
--
INTERNET:   [email-masked]  Bill Campbell; Celestial Systems, Inc.
UUCP:               camco!bill  PO Box 820; 2835 82nd Avenue S.E. S-100
FAX:            (206) 232-9186  Mercer Island, WA 98040-0820; (206)
236-1676
URL: http://www.celestial.com/
A child can go only so far in life without potty training.  It is not
mere coincidence that six of the last seven presidents were potty
trained, not to mention nearly half of the nation's state legislators.
          -- Dave Barry